Smproxy Failes :- Rack::Handler::WEBrick is invoked

05/19/2017 03:34 AM - tarak sinha

Status: Rejected   

Priority: High   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases: 1.11.4

Fixed in Releases:    

Description

Hi,

I updated foreman proxy 1.9.3 to 1.11.4 after that getting below error and smproxy fails.

foreman/proxy.log

2017-05-19T00:07:30.168947 #25460] DEBUG -- : Rack::Handler::WEBrick is invoked. =======================

Logs on puppet server :

Gem file not loading after patch . Hence the autosign request is failing with 404 Error. ==========================

D, [2017-05-17T03:29:58.603871 #4636] DEBUG -- : accept: 10.229.67.9:42638

D, [2017-05-17T03:29:58.607027 #4636] DEBUG -- : Rack::Handler::WEBrick is invoked.

I, [2017-05-17T03:29:58.608287 #4636]  INFO -- : 10.229.67.9 - - [17/May/2017 03:29:58] "DELETE

/puppet/ca/hostteam3.ffi.expertcity.com HTTP/1.1" 404 450 0.0007

D, [2017-05-17T03:29:58.651651 #4636] DEBUG -- : close: 10.229.67.9:42638

D, [2017-05-17T03:29:58.687070 #4636] DEBUG -- : accept: 10.229.67.9:42640

D, [2017-05-17T03:29:58.690239 #4636] DEBUG -- : Rack::Handler::WEBrick is invoked.

I, [2017-05-17T03:29:58.691308 #4636]  INFO -- : 10.229.67.9 - - [17/May/2017 03:29:58] "POST

/puppet/ca/autosign/hostteam3.ffi.expertcity.com HTTP/1.1" 404 457 0.0006

I, [2017-05-16T13:28:52.474606 #7138]  INFO -- : going to shutdown ...

I, [2017-05-16T13:28:52.481152 #7138]  INFO -- : WEBrick::HTTPServer#start done.

I, [2017-05-16T13:28:53.591221 #31793]  INFO -- : 'foreman_proxy' settings were initialized with default values: :enabled: true

I, [2017-05-16T13:28:53.613981 #31793]  INFO -- : Finished initialization of module 'foreman_proxy'

I, [2017-05-16T13:28:53.614470 #31793]  INFO -- : 'dns_nsupdate' settings were initialized with default values: :enabled: false

I, [2017-05-16T13:28:53.622837 #31793]  INFO -- : Finished initialization of module 'dns_nsupdate'

I, [2017-05-16T13:28:53.628176 #31793]  INFO -- : Finished initialization of module 'dns'

E, [2017-05-16T13:28:53.634849 #31793] ERROR -- : Couldn't enable plugin puppetca: Gem loading error: no such file to load --

puppet

D, [2017-05-16T13:28:53.634916 #31793] DEBUG -- :

["/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:30:in `strict_error'", "/usr/lib/ruby/gems/1.8

/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:56:in `system_require'",

"/usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in `each'", "/

usr/lib/ruby/gems/1.8/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in `system_require'",

"/usr/share/foreman-proxy/lib/bundler_helper.rb:22:in `require_groups'", "

/usr/share/foreman-proxy/lib/proxy/plugin.rb:151:in `configure_plugin'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:31:in

`configure_plugins'", "/usr/share/fore

man-proxy/lib/proxy/plugin_initializer.rb:29:in `each'", "/usr/share/foreman-proxy/lib/proxy/plugin_initializer.rb:29:in

`configure_plugins'", "/usr/share/foreman-proxy/lib/pr

oxy/plugin_initializer.rb:5:in `initialize_plugins'", "/usr/share/foreman-proxy/lib/launcher.rb:114:in `configure_plugins'",

"/usr/share/foreman-proxy/lib/launcher.rb:124:in `

launch'", "/usr/share/foreman-proxy/bin/smart-proxy:6"]

Thanks,

Tarak
#1 - 05/19/2017 03:39 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category deleted (DNS)

- Status changed from New to Rejected

- Assignee deleted (Dominic Cleal)

- Priority changed from Urgent to High

Please don't assign issues to me out of the blue.

The error is:

Gem loading error: no such file to load -- puppet

 Your Puppet installation is missing or might be in a different environment.

Version 1.11.4 is unsupported, version 1.15.0 is the current stable version, please consider upgrading.

For support queries, prefer the foreman-users mailing list or IRC channel: https://theforeman.org/support.html

#2 - 05/19/2017 12:40 PM - tarak sinha

Dominic Cleal wrote:

Please don't assign issues to me out of the blue.

The error is:

Gem loading error: no such file to load -- puppet

Your Puppet installation is missing or might be in a different environment.

Version 1.11.4 is unsupported, version 1.15.0 is the current stable version, please consider upgrading.

For support queries, prefer the foreman-users mailing list or IRC channel: https://theforeman.org/support.html

 It was working fine on 1.9.3 Ver, Is there any other way to fix this issue without upgrade on 1.15

#3 - 05/19/2017 12:46 PM - Anonymous

It was working fine on 1.9.3 Ver, Is there any other way to fix this issue without upgrade on 1.15

 Yes, installing puppet gem will probably fix your issue. Having said that: version 1.11 isn't supported, any issues found in 1.11 won't be fixed. Please

prefer the foreman-users mailing list or IRC channel: https://theforeman.org/support.html for support questions.

#4 - 05/19/2017 01:00 PM - tarak sinha

tarak sinha wrote:

Dominic Cleal wrote:

Please don't assign issues to me out of the blue.

The error is:

Gem loading error: no such file to load -- puppet

Your Puppet installation is missing or might be in a different environment.

Version 1.11.4 is unsupported, version 1.15.0 is the current stable version, please consider upgrading.

For support queries, prefer the foreman-users mailing list or IRC channel: https://theforeman.org/support.html

 It was working fine on 1.9.3 Ver, Is there any other way to fix this issue without upgrade on 1.15

 I have installed following packages...... Is some other packages which need to be insatalled
1. gem list

LOCAL GEMS ***

bundler (1.5.2)

bundler_ext (0.3.0)

ffi (1.0.9)

gssapi (1.1.2)

json (1.4.6)

net-http-persistent (2.9.4)

rack (1.1.0)

rack-test (0.5.4)

rake (0.8.7)

rkerberos (0.1.3)

rubyipmi (0.10.0)

sinatra (1.0)

thor (0.18.1)

1. rpm -qa | grep foreman

foreman-debug-1.11.2-1.el6.noarch

foreman-proxy-1.11.1-1.el6.noarch

1. rpm -qa | grep rubygem

rubygem-rack-test-0.5.4-1.el6.noarch

rubygem-bundler_ext-0.3.0-8.el6.noarch

rubygem-rack-1.1.0-2.el6.noarch

rubygem-rkerberos-0.1.3-2.1.el6.x86_64

rubygem-rake-0.8.7-2.1.el6.noarch

rubygem-bundler-1.5.2-2.el6.noarch

rubygem-json-1.4.6-1.el6.x86_64

rubygem-thor-0.18.1-3.el6.noarch

rubygem-gssapi-1.1.2-2.el6.noarch

rubygem-net-http-persistent-2.9.4-2.el6.noarch

rubygem-ffi-1.0.9-10.el6.x86_64

rubygem-sinatra-1.0-2.el6.noarch

rubygem-rubyipmi-0.10.0-1.el6.noarch

rubygems-1.3.7-5.el6.noarch

#5 - 05/19/2017 01:10 PM - Anonymous

Is some other packages which need to be insatalled

 Yes. This ruby environment is missing the puppet gem.

#6 - 05/19/2017 01:33 PM - tarak sinha

Dmitri Dolguikh wrote:

Is some other packages which need to be insatalled

 Yes. This ruby environment is missing the puppet gem.

 How can i install puppet gem, Not able to found puppet gem packages, is there any document or mirror link to download the puppet gem
